Skip to main content

Services

1 API call in this section.

Get Services

Customer Portal / Delivery Management / Services
GET/customer/delivery/services

Lists available delivery services for order creation. Customer-scoped filtering based on access_mode.

Send a bearer token in the Authorization header for an authenticated OnDi user session.
Request
curl
1curl --request GET "$ONDI_BASE_URL/customer/delivery/services" \2  --header "Authorization: Bearer {{access_token}}"

Headers

AuthorizationOptional
header string

Bearer {{access_token}}

Responses

Success200OK
Response body
json
1{2  "success": true,3  "data": {4    "services": [5      {6        "id": "uuid",7        "name": "Standard Delivery",8        "code": "STD",9        "unit_max": 5,10        "delivery_type": {11          "id": "uuid",12          "name": "Delivery",13          "code": "delivery"14        }15      }16    ],17    "total": 118  }19}